Bug 1092006 - [abrt] dnf: __init__.py:1704:parse_extcmds:ValueError: need more than 0 values to unpack
[abrt] dnf: __init__.py:1704:parse_extcmds:ValueError: need more than 0 value...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Holy
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:56ced4391f96caaa72d51de19f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-28 09:35 EDT by Gwendal
Modified: 2015-10-05 22:14 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.0.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-31 19:57:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.07 KB, text/plain)
2014-04-28 09:35 EDT, Gwendal
no flags Details
File: environ (3.03 KB, text/plain)
2014-04-28 09:35 EDT, Gwendal
no flags Details

  None (edit)
Description Gwendal 2014-04-28 09:35:17 EDT
Description of problem:
I simply typed the following:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
$ dnf repository-packages
Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 242, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 75, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 103, in _main
    cli.configure(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1311, in configure
    self.command.configure()
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 1685, in configure
    _, subcmd, _ = self.parse_extcmds(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 1704, in parse_extcmds
    (repo, subcmd_name), subargs = extcmds[:2], extcmds[2:]
ValueError: need more than 0 values to unpack
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Version-Release number of selected component:
dnf-0.4.20-1.fc20

Additional info:
reporter:       libreport-2.2.1
cmdline:        /usr/bin/python /usr/bin/dnf repository-packages
executable:     /usr/bin/dnf
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:1704:parse_extcmds:ValueError: need more than 0 values to unpack

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 242, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 75, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 103, in _main
    cli.configure(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1311, in configure
    self.command.configure()
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 1685, in configure
    _, subcmd, _ = self.parse_extcmds(self.base.extcmds)
  File "/usr/lib/python2.7/site-packages/dnf/cli/commands/__init__.py", line 1704, in parse_extcmds
    (repo, subcmd_name), subargs = extcmds[:2], extcmds[2:]
ValueError: need more than 0 values to unpack

Local variables in innermost frame:
self: <dnf.cli.commands.RepoPkgsCommand object at 0x1c8a950>
extcmds: []
Comment 1 Gwendal 2014-04-28 09:35:22 EDT
Created attachment 890488 [details]
File: backtrace
Comment 2 Gwendal 2014-04-28 09:35:24 EDT
Created attachment 890489 [details]
File: environ
Comment 3 Ales Kozumplik 2014-04-29 01:56:32 EDT
Can you please take a look, Radek?
Comment 4 Radek Holy 2014-05-13 11:04:53 EDT
My fault. Fixed by f75c38963f37776033a62c2ad8637c3ab45b8375 on master.
Comment 5 Fedora Update System 2014-05-28 08:08:55 EDT
dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsolv-0.6.1-1.git6d968f1.fc20,hawkey-0.4.16-1.fc20,dnf-0.5.2-1.fc20,dnf-plugins-core-0.0.8-2.fc20
Comment 6 Fedora Update System 2014-05-28 19:48:48 EDT
Package dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.0.8-2.fc20 libsolv-0.6.1-1.git6d968f1.fc20 hawkey-0.4.16-1.fc20 dnf-0.5.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6789/libsolv-0.6.1-1.git6d968f1.fc20,hawkey-0.4.16-1.fc20,dnf-0.5.2-1.fc20,dnf-plugins-core-0.0.8-2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-05-31 19:57:21 EDT
dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.